
|Work Item |Work Item |
|-|-|
|Work Item Title: |System enhancements to support Data License Management |
|Document Number |WI-0102 |
|Supporting Members or Partner type 2 |Hyundai Motors, KETI, Deutsche Telecom, Telecom Italia, Convida Wireless, BT, Orange |
|Date: |2020-05-29 |
|Abstract: |Proposes a work item to study oneM2M system enhancement to support data license management. |
|Template Version:23 February 2015 (Do not modify) |Template Version:23 February 2015 (Do not modify) |

> **oneM2M Copyright statement**
> No part may be reproduced except as authorized by written permission.
> The copyright and the foregoing restriction extend to reproduction in all media.
> All rights reserved.

# 1 Title (Acronym)

oneM2M System Enhancements to Support Data License Management (DLM)

# 2 Justification

As oneM2M based IoT platforms are being used in various domains, including smart city, there is a strong need to support any kinds of open data and various data policies. If data or data set is protected by one or more rights, the use of data from others requires a license from the data owner. This means that oneM2M system needs to provide means to add various data licenses to its resources containing such data. In addition, proper usage of data lincese, acknowledgement, and lifetime management (expiration, revoke, etc.) have to be guaranteeed. 

The current oneM2M system does not support any means to acknowledge the use of data license and manage data based on given data license. Therefore, it is highly needed to find a mechanism to manage data license within oneM2M platform. 


# 3 Intended Output
**Tick all the appropriate cases**

| Check | Case |
|:-:|-|
|x |Change request(s) to existing Technical Specification(s) |
| |Change request(s) to existing Technical Reports(s) |
| |New Normative Technical Specifications(s) |
|x |New Permanent Technical Reports(s) |
| |New Temporary Technical Reports(s) |


# 4 Impact

## 4.1 oneM2M Work Items
None


# 5 Scope
This Work Item will initially focus on the creation of a Technical Report analysing existing data license schemes and how these licenses are being used in existing data management platforms to understand essential functions to utilize data license in a system managing data. Then the TR will retrieve potential requirements and key features through answering the following questions:

- How to indicate different data license to oneM2M data? 
- How to acknowledge data (typically there should be an acknowledgement if data is used under a license)? 
- How to check the fact that data is properly used under a given license? (for example, checking whether an acknowledgement is properly added to data with license)
- How to provide a link to the original data source? 
- How to indicate the creator, provider and owner of data
- Data license provides possible operations to data, for example, copy, modify, publish, translate, adapt, and distribute. How to address possible operations if such data is stored in oneM2M? 
- How to support various licenses while being agnostic to the license? 
- How to support and/or interwork with existing digital rights management (DRM) mechanisms? 
- The license needs to be accessible before the data is "visible" to a "user".
- How to record a user's choice to accept/reject the license? 
- How to indicate more than one license attached?
- How to revoke a license? 
- How to support different lifetime schemes: time, volume, etc. ? 

Additional functionality will be identified through use case analysis and investigation of potential mechanisms. 

Results of this WI are expected to propose changes for existing TS as CRs.


# 6 Release
This WID targets Release 5.


# 7 Schedule and impacted specifications

## 7.1 New Specifications (if any)

| Document<br />Type | Document<br />Number\* | Title                                                | Schedule (TP No.)<br />Start | Schedule (TP No.)<br />Change Control | Schedule (TP No.)<br />Freeze | Schedule (TP No.)<br />Approval | Lead WG | Impacted WGs | Comments |
|-|-|-|-|-|-|-|-|-|-|
|TR |00XX |oneM2M System Enhancement to Support Data License Management (DLM) |TP#45 |- |TP#48 |TP#49 |WG2 |WG1 | |

\* Optional for first versions (i.e. before it will be assigned by the secretariat)


## 7.2 CRs to existing specifications (if any)

| Impacted<br />TS/TR | CR number (when known) | Subject of the CR       | Approved at plenary# | Impacted WGs | Comments |
|-|-|-|-|-|-|
|TS-0002 |CRs to TS-0002 |oneM2M requirements |TP#49 |WG1 | |
|TS-0001 |CRs to TS-0001 |oneM2M functional architecture |TP#49 |WG2 | |


# 8 Work Item Rapporteur(s)
1st: Minbyeong Lee (Hyundai Motors)

2nd: JaeSeung Song (KETI)


# 9 History
**Document history**

|Version |Date |Description |
|-|-|-|
|V0.0.1 |2020-05-20 |Initial proposal |
|V0.0.1 |2020-05-29 |uploaded as a permanent document following approval of TP-2020-0050R01 |
